1. AC Question's Avatar
    On the Android Wear Check site it says "Android Wear is designed to work with Android phones running 4.3 or higher. Not sure what version of Android you have? Visit g.co/WearCheck on your phone to see if it’s compatible with Android Wear".

    I'm running Android KitKat 4.4.2 on a Motorola Moto G, so I checked the site above on my phone and it said that my device was compatible with Android Wear. Is that right? I'm not running 4.3.. :S
    06-25-2014 03:45 PM
  2. Golfdriver97's Avatar
    You should be able to run Android Wear.
    08-26-2014 09:11 PM

Similar Threads

  1. Android L Update
    By Diego Carmona in forum Google Nexus 4
    Replies: 18
    Last Post: 07-03-2014, 01:45 PM
  2. Replies: 1
    Last Post: 06-29-2014, 09:22 PM
  3. Replies: 1
    Last Post: 06-27-2014, 08:13 AM
  4. How safe are Android launchers and which developers do you trust?
    By Poltergeist93 in forum Wallpapers, Ringtones, and Themes
    Replies: 5
    Last Post: 06-26-2014, 01:50 AM
  5. android apps working with kycera hydro c5170 phone
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 06-25-2014, 09:08 PM
LINK TO POST COPIED TO CLIPBOARD